Attach Demo sources
curl --request POST \
--url https://api.interchange.io/api/v2/storefront/demo/sources \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"recipeIds": []
}
'import requests
url = "https://api.interchange.io/api/v2/storefront/demo/sources"
payload = { "recipeIds": [] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({recipeIds: []})
};
fetch('https://api.interchange.io/api/v2/storefront/demo/sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"demo": {
"mode": "DEMO",
"storefrontId": "<string>",
"customerId": 0,
"profileId": "sample-publisher-display",
"profileVersion": "<string>",
"profileDisplayName": "<string>",
"fixturePackId": "<string>",
"fixturePackVersion": "<string>",
"generation": 4503599627370496,
"expiresAt": "2023-11-07T05:31:56Z",
"lastResetAt": "2023-11-07T05:31:56Z",
"cleanupAttemptCount": 4503599627370495,
"cleanupError": "<string>",
"disclosure": "<string>",
"sourceId": "<string>",
"sources": [
{
"recipeVersion": "<string>",
"sourceId": "<string>",
"displayName": "<string>",
"synthetic": true
}
],
"synthetic": true
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Storefront
Attach Demo sources
Attach one or more versioned synthetic modular inventory sources to the active Demo Storefront.
POST
/
demo
/
sources
Attach Demo sources
curl --request POST \
--url https://api.interchange.io/api/v2/storefront/demo/sources \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"recipeIds": []
}
'import requests
url = "https://api.interchange.io/api/v2/storefront/demo/sources"
payload = { "recipeIds": [] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({recipeIds: []})
};
fetch('https://api.interchange.io/api/v2/storefront/demo/sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"demo": {
"mode": "DEMO",
"storefrontId": "<string>",
"customerId": 0,
"profileId": "sample-publisher-display",
"profileVersion": "<string>",
"profileDisplayName": "<string>",
"fixturePackId": "<string>",
"fixturePackVersion": "<string>",
"generation": 4503599627370496,
"expiresAt": "2023-11-07T05:31:56Z",
"lastResetAt": "2023-11-07T05:31:56Z",
"cleanupAttemptCount": 4503599627370495,
"cleanupError": "<string>",
"disclosure": "<string>",
"sourceId": "<string>",
"sources": [
{
"recipeVersion": "<string>",
"sourceId": "<string>",
"displayName": "<string>",
"synthetic": true
}
],
"synthetic": true
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Body
application/json
Required array length:
1 - 3 elementsAvailable options:
sample-publisher-display, sample-publisher-ctv, sample-retail-media Response
Attach Demo sources
Show child attributes
Show child attributes
⌘I